# Generated from cloud-mu-3.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cloud-mu

Name: rubygem-%{gem_name}
Version: 3.5.1
Release: 1%{?dist}
Summary: The eGTLabs Mu toolkit for unified cloud deployments
License: BSD-3-Clause-Attribution
URL: https://github.com/cloudamatic/mu
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildArch: noarch

%description
The eGTLabs Mu toolkit for unified cloud deployments. This gem contains the Mu
deployment interface to cloud provider APIs. It will generate a sample
configuration the first time it is invoked.
Mu will attempt to autodetect when it's being run in a virtual machine on a
known cloud provider and activate the appropriate API with machine-based
credentials. Installing this gem on an Amazon Web Service instance, for
example, should automatically enable the MU::Cloud::AWS layer and attempt to
use the machine's IAM Profile to communicate with the AWS API.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mu-gcp-setup
%{_bindir}/mu-load-config.rb
%{_bindir}/mu-self-update
%{_bindir}/mu-node-manage
%{_bindir}/mu-findstray-tests
%{_bindir}/mu-aws-setup
%{_bindir}/mu-azure-setup
%{_bindir}/mu-gen-docs
%{_bindir}/mu-tunnel-nagios
%{_bindir}/mu-ssh
%{_bindir}/mu-refresh-ssl
%{_bindir}/mu-gen-env
%{_bindir}/mu-configure
%{_bindir}/mu-momma-cat
%{_bindir}/mu-ansible-secret
%{_bindir}/mu-run-tests
%{_bindir}/mu-firewall-allow-clients
%{_bindir}/mu-deploy
%{_bindir}/mu-user-manage
%{_bindir}/mu-adopt
%{_bindir}/mu-upload-chef-artifacts
%{_bindir}/mu-azure-tests
%{_bindir}/mu-cleanup
%{gem_instdir}/Berksfile
%{gem_instdir}/Dockerfile
%{gem_instdir}/Jenkinsfile
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/ansible
%{gem_instdir}/bin
%{gem_instdir}/chefignore
%{gem_instdir}/cookbooks
%{gem_instdir}/data_bags
%{gem_instdir}/demo
%{gem_instdir}/environments
%{gem_instdir}/extras
%{gem_instdir}/install
%{gem_instdir}/kitchen.yml
%{gem_instdir}/modules
%{gem_instdir}/requirements.txt
%{gem_instdir}/roles
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/cloud-mu.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 3.5.1-1
- Initial package
